Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Olde Fashioned Gentooee questions
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3  
Reply to topic    Gentoo Forums Forum Index Other Things Gentoo
View previous topic :: View next topic  
Author Message
Polyatomic
n00b
n00b


Joined: 18 May 2014
Posts: 36

PostPosted: Sat Nov 15, 2014 9:41 am    Post subject: Reply with quote

NeddySeagoon I noticed on your Gentooee guide you mentioned xface works out of the box with a static dev. Now, I won't need a full blown DE but I would like xorg-server so I can at least grab a decent window manager.

emerge xorg-server | wgetpaste here http://sprunge.us/Iahi?python

Merge it or use the one in the overlay?
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 54123
Location: 56N 3W

PostPosted: Sat Nov 15, 2014 10:30 am    Post subject: Reply with quote

Polyatomic,

A few words, [
Code:
ebuild  N     ] media-libs/mesa-10.0.4
won't build as it hard depends on udev for dri3. I see you have
Code:
VIDEO_CARDS="radeon radeonsi
but I'm nVidia only, so can't test for those drivers.

I do have an ebuild patch for that but its not yet in the overlay. It builds but I can't really test if it works. mesa not building won't stop Xorg from working but you won't get any hardware acceleration.

You are going to need a real xorg.conf as udev won't auto add any devices for you. You seem to have a mix of testing and stable. I've never used stable.
If mesa 10.0.4 is in the overlay, use it but I'm on mesa-10.3.1.
I'm not very proud of my mesa-10.3.1 ebuild patch as I ripped out Intel support to make it build. I'll post it at the end of this post.

[ebuild N ] virtual/libudev-215-r1 should not be there either as it will want either udev or eudev.
Code:
RDEPEND="
        !systemd? ( || (
                >=sys-fs/udev-208-r1:0/0[${MULTILIB_USEDEP},static-libs?]
                >=sys-fs/eudev-1.3:0/0[${MULTILIB_USEDEP},static-libs?] )
        )

as neither are in your build list, and portage is not complaining that it can't install one of them, it suggests you already have one installed.

I reccomend that you set FEATURES="buildpkg" and ACCEPT_KEYWORDS="~amd64", then do an emerge -uDNav @world. This will get you a fully testing install with every package you build saved in /usr/portage/packages. These binary packages can be used for a quick downgrade on the rare occasions testing breaks.

Anyway here is the ugly mesa patch - except for Intel users..
Code:
$ diff -u mesa-10.3.1.ebuild mesa-10.3.1-r101.ebuild
--- mesa-10.3.1.ebuild   2014-11-08 16:26:06.698818810 +0000
+++ mesa-10.3.1-r101.ebuild   2014-11-08 20:23:49.691499828 +0000
@@ -41,7 +41,8 @@
 SLOT="0"
 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~arm-linux ~ia64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
 
-INTEL_CARDS="i915 i965 ilo intel"
+INTEL_CARDS=""   
+# Drop Intel for now i915 i965 ilo intel"
 RADEON_CARDS="r100 r200 r300 r600 radeon radeonsi"
 VIDEO_CARDS="${INTEL_CARDS} ${RADEON_CARDS} freedreno nouveau vmware"
 for card in ${VIDEO_CARDS}; do
@@ -53,6 +54,13 @@
    opencl openvg osmesa pax_kernel openmax pic r600-llvm-compiler selinux
    vdpau wayland xvmc xa kernel_FreeBSD"
 
+
+# Removed from IUSE as we dont care about intel meanwhile
+#   video_cards_intel?  ( || ( classic gallium ) )
+#   video_cards_i915?   ( || ( classic gallium ) )
+#   video_cards_i965?   ( classic )
+#   video_cards_ilo?    ( gallium )
+
 REQUIRED_USE="
    llvm?   ( gallium )
    openvg? ( egl gallium )
@@ -70,10 +78,6 @@
    wayland? ( egl gbm )
    xa?  ( gallium )
    video_cards_freedreno?  ( gallium )
-   video_cards_intel?  ( || ( classic gallium ) )
-   video_cards_i915?   ( || ( classic gallium ) )
-   video_cards_i965?   ( classic )
-   video_cards_ilo?    ( gallium )
    video_cards_nouveau? ( || ( classic gallium ) )
    video_cards_radeon? ( || ( classic gallium ) )
    video_cards_r100?   ( classic )
@@ -88,6 +92,12 @@
 LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.56"
 # keep correct libdrm and dri2proto dep
 # keep blocks in rdepend for binpkg
+
+# It doesn't seem to need libudev
+#   gbm? ( >=virtual/libudev-215:=[${MULTILIB_USEDEP}] )
+#   dri3? ( >=virtual/libudev-215:=[${MULTILIB_USEDEP}] )
+
+
 RDEPEND="
    !<x11-base/xorg-server-1.7
    !<=x11-proto/xf86driproto-2.0.3
@@ -96,8 +106,6 @@
    gallium? ( app-admin/eselect-mesa )
    >=app-admin/eselect-opengl-1.2.7
    >=dev-libs/expat-2.1.0-r3:=[${MULTILIB_USEDEP}]
-   gbm? ( >=virtual/libudev-215:=[${MULTILIB_USEDEP}] )
-   dri3? ( >=virtual/libudev-215:=[${MULTILIB_USEDEP}] )
    >=x11-libs/libX11-1.6.2:=[${MULTILIB_USEDEP}]
    >=x11-libs/libxshmfence-1.1:=[${MULTILIB_USEDEP}]
    >=x11-libs/libXdamage-1.1.4-r1:=[${MULTILIB_USEDEP}]
@@ -132,11 +140,12 @@
    xvmc? ( >=x11-libs/libXvMC-1.0.8:=[${MULTILIB_USEDEP}] )
    ${LIBDRM_DEPSTRING}[video_cards_freedreno?,video_cards_nouveau?,video_cards_vmware?,${MULTILIB_USEDEP}]
 "
-for card in ${INTEL_CARDS}; do
-   RDEPEND="${RDEPEND}
-      video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_intel] )
-   "
-done
+# No Intel meanwhile
+#for card in ${INTEL_CARDS}; do
+#   RDEPEND="${RDEPEND}
+#      video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_intel] )
+#   "
+#done
 
 for card in ${RADEON_CARDS}; do
    RDEPEND="${RDEPEND}
@@ -231,13 +240,13 @@
    # Configurable DRI drivers
       driver_enable swrast
 
-   # Intel code
-      driver_enable video_cards_i915 i915
-      driver_enable video_cards_i965 i965
-      if ! use video_cards_i915 && \
-         ! use video_cards_i965; then
-         driver_enable video_cards_intel i915 i965
-      fi
+   # Intel code disabled for now
+   #   driver_enable video_cards_i915 i915
+   #   driver_enable video_cards_i965 i965
+   #   if ! use video_cards_i915 && \
+   #      ! use video_cards_i965; then
+   #      driver_enable video_cards_intel i915 i965
+   #   fi
 
       # Nouveau code
       driver_enable video_cards_nouveau nouveau
@@ -269,12 +278,12 @@
       gallium_enable swrast
       gallium_enable video_cards_vmware svga
       gallium_enable video_cards_nouveau nouveau
-      gallium_enable video_cards_i915 i915
-      gallium_enable video_cards_ilo ilo
-      if ! use video_cards_i915 && \
-         ! use video_cards_i965; then
-         gallium_enable video_cards_intel i915
-      fi
+   #   gallium_enable video_cards_i915 i915
+   #   gallium_enable video_cards_ilo ilo
+   #   if ! use video_cards_i915 && \
+   #      ! use video_cards_i965; then
+   #      gallium_enable video_cards_intel i915
+   #   fi
 
       gallium_enable video_cards_r300 r300
       gallium_enable video_cards_r600 r600
@@ -311,6 +320,7 @@
    use userland_GNU || export INDENT=cat
 
    econf \
+      --enable-sysfs \
       --enable-dri \
       --enable-glx \
       --enable-shared-glapi \


According to comments in the configure script, udev is preferred but --enable-sysfs works too. The ebuild patch can be made much cleaner. I'll try that next mesa update.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
Polyatomic
n00b
n00b


Joined: 18 May 2014
Posts: 36

PostPosted: Sat Nov 15, 2014 2:12 pm    Post subject: Reply with quote

NeddySeagoon wrote:
Polyatomic,

A few words, [
Code:
ebuild  N     ] media-libs/mesa-10.0.4
won't build as it hard depends on udev for dri3. I see you have
Code:
VIDEO_CARDS="radeon radeonsi
but I'm nVidia only, so can't test for those drivers.

I do have an ebuild patch for that but its not yet in the overlay. It builds but I can't really test if it works. mesa not building won't stop Xorg from working but you won't get any hardware acceleration.

You are going to need a real xorg.conf as udev won't auto add any devices for you. You seem to have a mix of testing and stable. I've never used stable.
If mesa 10.0.4 is in the overlay, use it but I'm on mesa-10.3.1.
I'm not very proud of my mesa-10.3.1 ebuild patch as I ripped out Intel support to make it build. I'll post it at the end of this post.

[ebuild N ] virtual/libudev-215-r1 should not be there either as it will want either udev or eudev.
Code:
RDEPEND="
        !systemd? ( || (
                >=sys-fs/udev-208-r1:0/0[${MULTILIB_USEDEP},static-libs?]
                >=sys-fs/eudev-1.3:0/0[${MULTILIB_USEDEP},static-libs?] )
        )

as neither are in your build list, and portage is not complaining that it can't install one of them, it suggests you already have one installed.


NeddySeagoon I was hoping you would reply directly, but I wasn't expecting a full blown patch man, cheers. Nice one. I'm not sure I understand, there is no udev or eudev on this rig man
qlop -luCq | wgetpaste here http://sprunge.us/eXRi

I've added a few more global use flags but that was just for encryption and proxy support
Code:
*/* socks socks5 ssl crypt -gnutls sasl gpg polarssl

also aspell and my browser choice firefox -seamonky, thats all I've changed.

I cannot get portage to stop wanting me to unmask udev-216 unless I put the atom in package.provided. Here is the portage suggestion when I remove it.
http://sprunge.us/HFfN

I'll persist with it to see if I get can get portage to stop wanting to merge udev-216 and read up on a fully blown xorg.conf and have a look at the mesa source. Obviously it will help to get advice from someone like yourself, so I won't merge anything just yet.
Back to top
View user's profile Send private message
steveL
Watchman
Watchman


Joined: 13 Sep 2006
Posts: 5153
Location: The Peanut Gallery

PostPosted: Sat Nov 15, 2014 3:51 pm    Post subject: Reply with quote

Polyatomic wrote:
I cannot get portage to stop wanting me to unmask udev-216 unless I put the atom in package.provided. Here is the portage suggestion when I remove it.
http://sprunge.us/HFfN

Hmm the only direct dep on udev I can see in mesa is:
Code:
gbm? ( >=virtual/libudev-208:=[${MULTILIB_USEDEP}] )
and it turns out you have that flag enabled: USE="classic egl gallium gbm llvm .."
Code:
euse -i gbm
media-libs/mesa: Enable the Graphics Buffer Manager for EGL on KMS.

It's needed for wayland
Code:
wayland? ( egl gbm )
which you don't have set, so try unsetting it in package.use.
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 54123
Location: 56N 3W

PostPosted: Sat Nov 15, 2014 4:54 pm    Post subject: Reply with quote

Polyatomic,

Once upon a time, before udev, before HAL, before devfs even, you had to write a xorg.conf by hand.
There were a few tools to help but they were mostly a get you started.
This was in the days of CRT displays that could not defend themselves againt overscanning and a careless modeline could destroy your display.
No worries about this today unless your display does not provide EDID data.

You need some documentation from then.
Code:
Xorg -configure
might be worth trying.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
Anon-E-moose
Watchman
Watchman


Joined: 23 May 2008
Posts: 6095
Location: Dallas area

PostPosted: Sat Nov 15, 2014 5:27 pm    Post subject: Reply with quote

This is from the last time I ran nvidia config (a few years back) in might still work with tweaking for your video card and monitor and other things as needed.

https://bpaste.net/show/7ce8f0db5f93
_________________
PRIME x570-pro, 3700x, 6.1 zen kernel
gcc 13, profile 17.0 (custom bare multilib), openrc, wayland
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Other Things Gentoo All times are GMT
Goto page Previous  1, 2, 3
Page 3 of 3

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum